Summary: An X based image file viewer and manipulator
Name: xv
Version: 3.10a
Release: 37%{?dist}
License: Shareware
Group: Amusements/Graphics
Source0: ftp://ftp.cis.upenn.edu/pub/xv/xv-%{version}.tar.gz
Source1: ftp://swrinde.nde.swri.edu/pub/png/applications/xv-3.10a-png-1.2d.tar.gz
Source3: ftp://ftp.cis.upenn.edu/pub/xv/patch/windowid.patch.readme
Source4: xvlogo.png
Patch0: xv-3.10a-linux.patch
Patch1: xv-3.10a.JPEG-patch
Patch2: xv-3.10a-glibc.patch
Patch3: xv-3.10a-grabpatch
Patch4: xv-3.10a-deepcolor.patch
Patch5: xv-3.10a-gifpatch
Patch6: xv-3.10a-longname.patch
Patch7: xv-3.10a-pdf.patch
Patch9: xv-3.10a.TIFF-patch
Patch10: xv-3.10a-gssafer.patch
Patch11: xv-3.10a-windowid.patch
Patch12: xv-3.10a-bmp32.patch
Patch13: xv-3.10a-exceed_grab.patch
Patch14: xv-3.10a-mp-tiff.patch
Patch15: xv-3.10a-tiff1200.patch
Patch16: xv-3.10a-vispatch
Patch17: xv-3.10a-xvpng-1.2d-fix3.patch
Patch18: xv-3.10a-gcc4.patch
Url: http://www.trilon.com/xv/xv.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel, libjpeg-devel, libX11-devel
BuildRequires: xorg-x11-proto-devel, libXt-devel
BuildRequires: tcsh, binutils 

%package docs
Summary: Documentation to xv
Requires: xv, ghostscript
Group: Amusements/Graphics

%description
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

%description docs
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

This package contains the document to xv.

%prep
%setup -q -a 1
patch -p1 < xvpng.diff
%patch0 -p1 -b .linux
%patch1 -p0 -b .jpegpatc
%patch2 -p1 -b .glibc
%patch3 -p1 -b .grab
%patch4 -p0 -b .deepcolor
%patch5 -p0 -b .gifpatch
%patch6 -p1 -b .longname
%patch7 -p0 -b .pdfpatch
%patch9 -p0 -b .tiffpatch
%patch10 -p0 -b .gssafer
%patch11 -p0 -b .windowid
%patch12 -p0 -b .bmp32
%patch13 -p0 -b .exceed
%patch14 -p1 -b .mptiff
%patch15 -p0 -b .tiff1200
%patch16 -p0 -b .vispatch
%patch17 -p0 -b .xvpng
%patch18 -p1 -b .gcc4

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{_x_bindir} \
         %{buildroot}%{_x_prefix}/share/man/man1 \
         %{buildroot}%{_docdir}/%{name}

make    BINDIR=%{buildroot}%{_x_bindir} \
        MANDIR=%{buildroot}%{_x_prefix}/share/man/man1 \
        LIBDIR=%{buildroot}%{_docdir}/%{name} \
        install

rm -rf %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %SOURCE4 %{buildroot}%{_datadir}/pixmaps/xvlogo.png

cat > %{buildroot}%{_datadir}/applications/xv.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=xv
Comment=An X based image file viewer and manipulator.
Exec=xv %f
Icon=xvlogo.png
StartupNotify=true
Categories=Application;Graphics;RasterGraphics;Viewer;X-Red-Hat-Extra;
Terminal=false
Type=Application
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS CHANGELOG IDEAS 
%{_datadir}/applications/xv.desktop
%{_datadir}/pixmaps/xvlogo.png
%{_x_bindir}/*
%{_x_prefix}/share/man/man1/*

%files docs
%defattr(-,root,root)
%doc docs/{bmp.doc,epsf.ps,gif.ack,gif.aspect,gif87.doc,gif89.doc}
%doc docs/{help,xpm.ps,vdcomp.man,penn.policy,xv.ann,xv.blurb}
%doc docs/xvdocs.ps ${RPM_SOURCE_DIR}/windowid.patch.readme

%changelog
* Sat Nov 29 2008 Paulo Roma <roma@lcg.ufrj.br> 3.10a-37
- Recreated patch xv-3.10a-mp-tiff because of F10.
- Created patch xv-3.10a-gcc4.patch for compiling with gcc4.
  No need of forcegcc anymore.

* Mon Oct 15 2007 Paulo Roma <roma@lcg.ufrj.br> 3.10a-36
- Using %%_x_prefix and %%_x_bindir for the installation path.
- Using CC=gcc and relying on forcegcc 
  for chosing the appropriate compiler (gcc34 or gcc32). 

* Fri Jun 08 2007 Paulo Roma <roma@lcg.ufrj.br> 3.10a-35
- Included BRs tcsh, compat-gcc-34, libX11-devel,
  xorg-x11-proto-devel, libXt-devel and binutils.

* Sat Mar 31 2007 Paulo Roma <roma@lcg.ufrj.br> 3.10a-34
- rebuilt for Fedora Core 6
- added BRs
- using gcc34

* Sat Sep 16 2006 Paulo Roma <roma@lcg.ufrj.br>
- rebuilt for Fedora Core 5

* Mon Jan 12 2004 Peter Soos <sp@osb.hu>
- rebuilt for Fedora Core 1

* Mon Apr 28 2003 Peter Soos <sp@osb.hu>
- rebuilt for Red Hat Linux 9
- corrected desktop entry location

* Wed Nov 20 2002 Peter Soos <sp@osb.hu>
- some spec file tuning

* Sun Jun 02 2002 Peter Soos <sp@osb.hu>
- rebuilt for Red Hat Linux 7.3
- added some new patches from xv's site

* Fri Oct 05 2001 Peter Soos <sp@osb.hu>
- rebuilt for Red Hat Linux 7.2 beta

* Sat May 05 2001 Peter Soos <sp@osb.hu>
- added patch to run ghostscript with the -dSAFER option, which prevents
  malicious PostScript files from writing and/or deleting files.
- added patch to support "-windowid windowid" flag. You can use it now in
  conjunction with "plugger 3.2". See windowid.patch.readme.
- added patch to support for 32-bit-per-pixel BMP files.

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Tue Nov 7 2000 Than Ngo <than@redhat.com>
- rebuilt for 7.1
- clean up specfile

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against new libpng

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %%{_docdir}

* Tue Jul 04 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix doc inclusion

* Tue Jul 04 2000 Trond Eivind Glomsrød <teg@redhat.com>
- don't use /usr/doc directly
- use %%{_tmppath}

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 31 2000 Than Ngo <than@redhat.de>
- split into xv and xv-docs packages (Bug#11043)

* Tue May 30 2000 Ngo Than
- rebuild for 7.0
- gzip man pages
- remove wmconfig, add xv.desktop

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 23 1999 Bill Nottingham <notting@redhat.com>
- build for powertools
- apply a pile of patches

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry 

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups
- added patch to manipulate PNG files

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- incorporated new jpegv6 patch from the author's web site
